Subject: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Sep 2010 21:18:38 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Mon, 20 Sep 2010 11:47:17 -0700
> 
> I now have a working Windows binary, built today.
> I tried again - the same bug still exists.
> 
> As I said before (the recipe has not changed), starting with `emacs -Q':
> 
> Simply select text using mouse-1 + mouse-3 (or just double-click mouse-1) in an
> Emacs 24 session and then use mouse-2 in an Emacs 20 (or 23 or whatever)
> session. The text is not pasted.
> 
> In the opposite direction (select in Emacs 20/23, paste into Emacs 24) it works,
> however.

I cannot reproduce this with yesterday's binary.  For me, it works in
both directions (tested with Emacs 23.2 as "the other" version).

So some other factor must be at work here.

You did remember to set mouse-drag-copy-region non-nil, right?